com.holonplatform.datastore.jdbc.spring.internal

## Class JdbcDatastoreRegistrar

- java.lang.Object
- - com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar
  - - com.holonplatform.datastore.jdbc.spring.internal.JdbcDatastoreRegistrar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware

      public class JdbcDatastoreRegistrar
      extends com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar
      implements org.springframework.beans.factory.BeanClassLoaderAware

  Registrar for JDBC `Datastore` bean registration using `EnableJdbcDatastore` annotation.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcDatastoreRegistrar()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `static String` | `registerDatastore(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, org.springframework.core.env.Environment environment, String dataContextId, String datasourceBeanName, JdbcDatastoreConfigProperties defaultConfig, ClassLoader beanClassLoader)` Register a `JdbcDatastore` bean
    `void` | `setBeanClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class com.holonplatform.spring.internal.AbstractConfigPropertyRegistrar

      `setEnvironment`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      `registerBeanDefinitions`

- - ### Constructor Detail

    - #### JdbcDatastoreRegistrar

          public JdbcDatastoreRegistrar()

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

    - #### registerDatastore

          public static String registerDatastore(org.springframework.beans.factory.support.BeanDefinitionRegistry registry,
                                                 org.springframework.core.env.Environment environment,
                                                 String dataContextId,
                                                 String datasourceBeanName,
                                                 JdbcDatastoreConfigProperties defaultConfig,
                                                 ClassLoader beanClassLoader)

      Register a `JdbcDatastore` bean
      Parameters:
        `registry` - BeanDefinitionRegistry
        `environment` - Spring environment
        `dataContextId` - Data context id
        `datasourceBeanName` - DataSource bean name reference
        `defaultConfig` - Default configuration properties
        `beanClassLoader` - Bean class loader
      Returns:
        Registered Datastore bean name

Copyright © 2019 The Holon Platform. All rights reserved.